## org.gnome.Calls.EmergencyCalls org.gnome.Calls.EmergencyCalls |

## Methods

    GetEmergencyContacts (OUT a(ssia{sv}) contacts);
    CallEmergencyContact (IN  s           id);

## Signals

    EmergencyNumbersChanged ();

## Description

An interface to query emergency numbers and to initiate emergency calls.

## Method Details

### The GetEmergencyContacts() method

    GetEmergencyContacts (OUT a(ssia{sv}) contacts);

* "id" (s): The identifier to dial (usually the phone number) * "name' (s): The contacts name * "source" (i): The contacts source (e.g. address book, sim, ...) * "properties" (a{sv}): Additional properties

Retrieves the currently known emergency contacts. The key is the item to call (e.g. for the cellular network the phone number).

`OUT a(ssia{sv}) `contacts``: | Available contacts

### The CallEmergencyContact() method

    CallEmergencyContact (IN  s id);

Calls an emergency contact by its id.

`IN s `id``: | The id retrieved via `GetEmergencyContacts` (for cellular networks this is the phone number)

## Signal Details

### The "EmergencyNumbersChanged" signal

    EmergencyNumbersChanged ();

The list of emergency numbers changed. This can e.g. happen when an origin goes away. The signal is meant as a hint (it might be emitted although the list of numbers is unchanged).